SystemB.Passwd (JNA API)
Description: declaration: package: com.sun.jna.platform.mac, interface: SystemB, class: Passwd

Package com.sun.jna.platform.mac

# Class SystemB.Passwd

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.mac.SystemB.Passwd

Enclosing interface:
  SystemB

@FieldOrder({"pw_name","pw_passwd","pw_uid","pw_gid","pw_change","pw_class","pw_gecos","pw_dir","pw_shell","pw_expire","pw_fields"}) public static class SystemB.Passwd extends Structure
Return type for getpwuid

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `NativeLong`
  `pw_change`
  `String`
  `pw_class`
  `String`
  `pw_dir`
  `NativeLong`
  `pw_expire`
  `int`
  `pw_fields`
  `String`
  `pw_gecos`
  `int`
  `pw_gid`
  `String`
  `pw_name`
  `String`
  `pw_passwd`
  `String`
  `pw_shell`
  `int`
  `pw_uid`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Passwd()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pw_name

    public String pw_name

  - ### pw_passwd

    public String pw_passwd

  - ### pw_uid

    public int pw_uid

  - ### pw_gid

    public int pw_gid

  - ### pw_change

    public NativeLong pw_change

  - ### pw_class

    public String pw_class

  - ### pw_gecos

    public String pw_gecos

  - ### pw_dir

    public String pw_dir

  - ### pw_shell

    public String pw_shell

  - ### pw_expire

    public NativeLong pw_expire

  - ### pw_fields

    public int pw_fields

- ## Constructor Details

  - ### Passwd

    public Passwd()